Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
rounding.h File Reference
`#include <botan/types.h>`
`#include <botan/assert.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
size_t | Botan::clamp (size_t n, size_t lower_bound, size_t upper_bound)
template<typename T >
T | Botan::round_down (T n, T align_to)
size_t | Botan::round_up (size_t n, size_t align_to)